Assignee:  % Done: 0%
Target version:    

Resolution:    

Description

move:

perl_modules /redmine/extra/svn;

perl_require Redmine.pm;

to :/etc/nginx/nginx.conf

But redmine.pm still can not load successfully, error message is:

[emerg]: require_pv("Redmine.pm") failed: "Can't locate Apache2/Module.pm in Cedric Albrecht (Cedric Albrecht contains:

/usr/perl/lib /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10

/usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/perl/lib/Redmine.pm line 106.

BEGIN failed--compilation aborted at /usr/perl/lib/Redmine.pm line 106.

History

#1 - 2010-12-11 10:35 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

This module was designed for apache. I leave it open in case someone else is interested in porting it to nginx.

#2 - 2011-03-24 07:21 - Toshi MARUYAMA

- Subject changed from Use redmine.pem in nginx to Use redmine.pm in nginx

- Category changed from SCM to SCM extra

#3 - 2013-03-04 19:13 - Alex Voronko

+1

#4 - 2013-05-22 17:47 - Robson Peixoto

+1

#5 - 2016-12-03 19:50 - Sasha Harutyunyan

+1

I  found something interesting for nginx here  https://github.com/kchmck/nginx-redmine-access

but cant understand how to implement this .
